<?xml version='1.0' encoding="iso-8859-1"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	xmlns="http://www.w3.org/1999/xhtml">

<xsl:template name="list.numeration">
	<xsl:param name="node" select="."/>

	<xsl:choose>
		<xsl:when test="$suppress.ol.type = 1" />
		<xsl:when test="$node/@numeration">
			<xsl:value-of select="$node/@numeration"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:choose>
				<xsl:when test="$node/ancestor::orderedlist">
					<xsl:call-template name="next.numeration">
						<xsl:with-param name="numeration">
							<xsl:call-template name="list.numeration">
								<xsl:with-param name="node" select="$node/ancestor::orderedlist[1]"/>
							</xsl:call-template>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="next.numeration"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
