<?xml version='1.0' encoding="iso-8859-1"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	xmlns="http://www.w3.org/1999/xhtml">
	
	<!-- XSL de docbook para transformar a XHTML -->
	<xsl:import href="../../docbook-xsl-1.68.1/xhtml/docbook.xsl" />
	
	<xsl:include href="../common/common.xsl" />
	<xsl:include href="block.xsl" />
	<!--<xsl:include href="xhtml/tables.xsl" /> -->
	<xsl:include href="inline.xsl" />
	<xsl:include href="lists.xsl" />
	
	<!-- XHTML de salida estricto, bien formateado y en iso-8859-1 -->
	<xsl:output method="xml"
		encoding="iso-8859-1"
		indent="yes"
		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />
	
	<!-- Parmetros necesario para cumplir con el XHTML Strict-->
	<xsl:param name="css.decoration" select="0" />
	<xsl:param name="ulink.target" />
	<!-- [Cosecha propia] Elimina el atributo "type" de "ol" -->
	<xsl:param name="suppress.ol.type" select="1" />

	<!-- Hoja de estilos css -->
	<xsl:param name="html.stylesheet.type" select='"text/css"' />
	<xsl:param name="html.stylesheet" select='"docbook.css"' />

	<!-- Convierte el atributo "role" en atributo "class" -->
	<xsl:param name="emphasis.propagates.style" select="1" />

</xsl:stylesheet>
